Page MenuHomePhabricator

Add helpful links to constraint reports
Closed, ResolvedPublic

Description

When the user is presented with a constraint report from the gadget, we should try to show them a path forward if they don’t understand the constraint, or if they think the constraint is incorrect.

Story1: I am wondering what this is and want to know more in order to use it and/or not to violate workflows around it.
Story2: I don’t understand the error message fully and I want to know more about it, possibly with an examples
Story3: I can safely assume that the modeling and values are right but I still get the constraint. I want to (help to) change this.

Possible links:

  • link to the constraint statement (once imported from there – T160505)
  • link to the property talk page
  • link to the constraint item (once imported from statements)
  • link to the constraint item’s talk page (once imported from statements)
    • convert them to Flow, and add a link to create a new topic?
  • link to the constraint template (until imported from statements)

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2017, 9:35 AM
Jan_Dittrich updated the task description. (Show Details)May 3 2017, 9:42 AM

We should link to the talk page of the property as that is where issues with the constraint need to be discussed.

Lydia_Pintscher triaged this task as Normal priority.May 5 2017, 1:05 PM
Lydia_Pintscher moved this task from incoming to consider for next sprint on the Wikidata board.

Yes; we should give it some framing in the link text, like "Discuss this constraint" or so, in order to make it clear why the link is there.

Change 400230 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add discuss link to constraint reports

https://gerrit.wikimedia.org/r/400230

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 26 2017, 2:48 PM

Change 402360 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Make constraint report border flush with help link

https://gerrit.wikimedia.org/r/402360

Change 402360 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Make constraint report border flush with help link

https://gerrit.wikimedia.org/r/402360

Change 400230 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add discuss link to constraint reports

https://gerrit.wikimedia.org/r/400230

The “discuss” link is now deployed. Should we close this task?

Lydia_Pintscher closed this task as Resolved.Jan 11 2018, 1:11 PM